Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(695)

Unified Diff: mozilla-tests/runtests.sh

Issue 2865028: Update the mozilla tests to new version (as of 2010-06-29). (Closed) Base URL: svn://chrome-svn/chrome/trunk/deps/third_party/
Patch Set: Created 10 years, 6 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « mozilla-tests/process-logs.sh ('k') | mozilla-tests/shell.js » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: mozilla-tests/runtests.sh
===================================================================
--- mozilla-tests/runtests.sh (revision 43940)
+++ mozilla-tests/runtests.sh (working copy)
@@ -41,7 +41,7 @@
cat <<EOF
`basename $0`: error
-TEST_DIR, the location of the Sisyphus framework,
+TEST_DIR, the location of the Sisyphus framework,
is required to be set prior to calling this script.
EOF
exit 2
@@ -69,43 +69,43 @@
usage: runtests.sh -p products -b branches -e extra\\
-T buildtypes -B buildcommands \\
[-v] [-S] [-X excludetests] [-I includetests] [-c] [-t] \\
- [-Z n]
+ [-J javascriptoptions]
variable description
=============== ============================================================
--p products space separated list of js, firefox
--b branches space separated list of branches 1.8.0, 1.8.1, 1.9.0, 1.9.1
+-p products space separated list of js, firefox, fennec
+-b branches space separated list of supported branches. see library.sh
-e extra optional. extra qualifier to pick build tree and mozconfig.
-T buildtypes space separated list of build types opt debug
-B buildcommands optional space separated list of build commands
clean, checkout, build. If not specified, defaults to
- 'clean checkout build'.
+ 'clean checkout build'.
If you wish to skip any build steps, simply specify a value
not containing any of the build commands, e.g. 'none'.
-v optional. verbose - copies log file output to stdout.
-S optional. summary - output tailered for use with
Buildbot|Tinderbox
--X excludetests optional. By default the test will exclude the
- tests listed in spidermonkey-n-\$branch.tests,
+-X excludetests optional. By default the test will exclude the
+ tests listed in spidermonkey-n-\$branch.tests,
performance-\$branch.tests. excludetests is a list of either
- individual tests, manifest files or sub-directories which
+ individual tests, manifest files or sub-directories which
will override the default exclusion list.
--I includetests optional. By default the test will include the
+-I includetests optional. By default the test will include the
JavaScript tests appropriate for the branch. includetests is a
- list of either individual tests, manifest files or
- sub-directories which will override the default inclusion
+ list of either individual tests, manifest files or
+ sub-directories which will override the default inclusion
list.
--c optional. By default the test will exclude tests
- which crash on this branch, test type, build type and
- operating system. -c will include tests which crash.
- Typically this should only be used in combination with -R.
+-c optional. By default the test will exclude tests
+ which crash on this branch, test type, build type and
+ operating system. -c will include tests which crash.
+ Typically this should only be used in combination with -R.
This has no effect on shell based tests which execute crash
tests regardless.
--t optional. By default the test will exclude tests
- which time out on this branch, test type, build type and
+-t optional. By default the test will exclude tests
+ which time out on this branch, test type, build type and
operating system. -t will include tests which timeout.
-J jsoptions optional. Set JavaScript options:
- -Z n Set gczeal to n. Currently, only valid for
+ -Z n Set gczeal to n. Currently, only valid for
debug builds of Gecko 1.8.1.15, 1.9.0 and later.
-z optional. use split objects in the shell.
-j optional. use JIT in the shell. Only available on 1.9.1 and later
@@ -164,7 +164,7 @@
export testlogfiles
export testlogfile
-# because without pipefail, the pipe will not return a non-zero
+# because without pipefail, the pipe will not return a non-zero
# exit code, we must pipe stderr from tester.sh to stdout and then
# look into the testlogfilelist for the error
@@ -191,25 +191,22 @@
case "$testlogfile" in
*,js,*) testtype=shell;;
*,firefox,*) testtype=browser;;
+ *,thunderbird,*) testtype=browser;;
+ *,fennec,*) testtype=browser;;
*) error "unknown testtype in logfile $testlogfile" $LINENO;;
esac
case "$testlogfile" in
*,opt,*) buildtype=opt;;
*,debug,*) buildtype=debug;;
- *,nightly,*) buildtype=opt;;
+ *,nightly*) buildtype=opt;;
*) error "unknown buildtype in logfile $testlogfile" $LINENO;;
esac
- case "$testlogfile" in
- *,1.8.0*) branch=1.8.0;;
- *,1.8.1*) branch=1.8.1;;
- *,1.9.0*) branch=1.9.0;;
- *,1.9.1*) branch=1.9.1;;
- *) error "unknown branch in logfile $testlogfile" $LINENO;;
- esac
+ branch=`echo $testlogfile | sed 's|.*,\([0-9]\.[0-9]*\.[0-9]*\).*|\1|'`
- repo=`grep -m 1 '^environment: TEST_MOZILLA_HG=' $testlogfile | sed 's|.*TEST_MOZILLA_HG=http://hg.mozilla.org/\(.*\)|\1|'`
+
+ repo=`grep -m 1 '^environment: TEST_MOZILLA_HG=' $testlogfile | sed 's|.*TEST_MOZILLA_HG=http://hg.mozilla.org.*/\([^\/]*\)|\1|'`
if [[ -z "$repo" ]]; then
repo=CVS
fi
@@ -226,11 +223,11 @@
-T $buildtype \
-R $repo \
-t $testtype \
+ -J "$javascriptoptions" \
-o "$OSID" \
-K "$TEST_KERNEL" \
-A "$TEST_PROCESSORTYPE" \
-M "$TEST_MEMORY" \
- -S "$TEST_CPUSPEED" \
-z `date +%z` \
-l $testlogfile \
-r $TEST_JSDIR/failures.txt \
« no previous file with comments | « mozilla-tests/process-logs.sh ('k') | mozilla-tests/shell.js » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698